Package org.drinkless.tdlib

# Class TdApi.GetManagedBotToken

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Text>
org.drinkless.tdlib.TdApi.GetManagedBotToken

Enclosing class:
  `TdApi`

public static class TdApi.GetManagedBotToken extends TdApi.Function<TdApi.Text>
Returns token of a managed bot; for bots only.

Returns `Text`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the managed bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `revoke`
  Pass true to revoke the current token and create a new one.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetManagedBotToken()`
  Default constructor for a function, which returns token of a managed bot; for bots only.
  `GetManagedBotToken(long botUserId, boolean revoke)`
  Creates a function, which returns token of a managed bot; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the managed bot.

  - ### revoke

    public boolean revoke
    Pass true to revoke the current token and create a new one.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetManagedBotToken

    public GetManagedBotToken()
    Default constructor for a function, which returns token of a managed bot; for bots only.

    Returns `Text`

  - ### GetManagedBotToken

    public GetManagedBotToken(long botUserId, boolean revoke)
    Creates a function, which returns token of a managed bot; for bots only.

    Returns `Text`

    Parameters:
      `botUserId` - Identifier of the managed bot.
      `revoke` - Pass true to revoke the current token and create a new one.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Text>`
    Returns:
      this.CONSTRUCTOR